POST
/
v1
/
projects
/
{project}
/
boxes
/
{name}
/
exec
Execute a command in a box
curl --request POST \
  --url https://api.example.com/v1/projects/{project}/boxes/{name}/exec \
  --header 'Content-Type: application/json' \
  --data '
{
  "command": [
    "<string>"
  ],
  "cwd": "<string>",
  "env": {},
  "no_hup": true,
  "shell": true,
  "tty": true,
  "user": "<string>"
}
'
import requests

url = "https://api.example.com/v1/projects/{project}/boxes/{name}/exec"

payload = {
"command": ["<string>"],
"cwd": "<string>",
"env": {},
"no_hup": True,
"shell": True,
"tty": True,
"user": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
command: ['<string>'],
cwd: '<string>',
env: {},
no_hup: true,
shell: true,
tty: true,
user: '<string>'
})
};

fetch('https://api.example.com/v1/projects/{project}/boxes/{name}/exec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detached": true,
  "exit_code": 123,
  "process": 123,
  "stderr": "<string>",
  "stdout": "<string>"
}

Path Parameters

project
string
required

Project name

name
string
required

Box name

Body

application/json
command
string[] | null
cwd
string | null
env
object | null
no_hup
boolean | null
shell
boolean | null
tty
boolean | null
user
string | null

Response

Command executed

detached
boolean | null
exit_code
integer<int32> | null
process
integer<int32> | null
stderr
string | null
stdout
string | null